AbstractBoltTestElement (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.protocol.bolt.sampler, class: AbstractBoltTestElement

Package org.apache.jmeter.protocol.bolt.sampler

# Class AbstractBoltTestElement

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.protocol.bolt.sampler.AbstractBoltTestElement

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Searchable`, `org.apache.jmeter.testelement.TestElement`

Direct Known Subclasses:
  `BoltSampler`

public abstract class AbstractBoltTestElement extends AbstractTestElement

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.jmeter.testelement.TestElement

  `org.apache.jmeter.testelement.TestElement.Companion`

- ## Field Summary

  ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

  `COMMENTS, Companion, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractBoltTestElement()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAccessMode()`
  `String`
  `getCypher()`
  `String`
  `getDatabase()`
  `String`
  `getParams()`
  `org.neo4j.driver.SessionConfig`
  `getSessionConfig()`
  `org.neo4j.driver.TransactionConfig`
  `getTransactionConfig()`
  `int`
  `getTxTimeout()`
  `boolean`
  `isRecordQueryResults()`
  `void`
  `setAccessMode(String accessMode)`
  `void`
  `setCypher(String cypher)`
  `void`
  `setDatabase(String database)`
  `void`
  `setParams(String params)`
  `void`
  `setRecordQueryResults(boolean recordQueryResults)`
  `void`
  `setTxTimeout(int txTimeout)`

  ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

  `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getPropertyOrNull, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

  `get, get, get, get, get, get, get, get, get, getOrCreate, getOrCreate, getOrNull, getOrNull, getOrNull, getPropertyOrNull, getProps, getSchema, getString, removed, removeProperty, set, set, set, set, set, set, set, set, set`

- ## Constructor Details

  - ### AbstractBoltTestElement

    public AbstractBoltTestElement()

- ## Method Details

  - ### getTxTimeout

    public int getTxTimeout()

  - ### setTxTimeout

    public void setTxTimeout(int txTimeout)

  - ### getAccessMode

    public String getAccessMode()

  - ### setAccessMode

    public void setAccessMode(String accessMode)

  - ### getDatabase

    public String getDatabase()

  - ### setDatabase

    public void setDatabase(String database)

  - ### getCypher

    public String getCypher()

  - ### setCypher

    public void setCypher(String cypher)

  - ### getParams

    public String getParams()

  - ### setParams

    public void setParams(String params)

  - ### isRecordQueryResults

    public boolean isRecordQueryResults()

  - ### setRecordQueryResults

    public void setRecordQueryResults(boolean recordQueryResults)

  - ### getSessionConfig

    public org.neo4j.driver.SessionConfig getSessionConfig()

  - ### getTransactionConfig

    public org.neo4j.driver.TransactionConfig getTransactionConfig()